[arch-commits] Commit in wxpython/repos (3 files)

Eric Belanger eric at archlinux.org
Sun Jul 6 20:02:12 EDT 2008


    Date: Sunday, July 6, 2008 @ 20:02:11
  Author: eric
Revision: 4442

Merged revisions 2-4441 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/wxpython/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r4430 | eric | 2008-07-06 18:27:48 -0400 (Sun, 06 Jul 2008) | 2 lines
  
  upgpkg: wxpython 2.8.8.0-1
      Upstream update, Added ChangeLog
........

Added:
  wxpython/repos/extra-i686/ChangeLog
    (from rev 4430, wxpython/trunk/ChangeLog)
Modified:
  wxpython/repos/extra-i686/	(properties)
  wxpython/repos/extra-i686/PKGBUILD

-----------+
 ChangeLog |    5 +++++
 PKGBUILD  |   14 +++++++-------
 2 files changed, 12 insertions(+), 7 deletions(-)


Property changes on: wxpython/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /wxpython/trunk:1
   + /wxpython/trunk:1-4441

Copied: wxpython/repos/extra-i686/ChangeLog (from rev 4430, wxpython/trunk/ChangeLog)
===================================================================
--- extra-i686/ChangeLog	                        (rev 0)
+++ extra-i686/ChangeLog	2008-07-07 00:02:11 UTC (rev 4442)
@@ -0,0 +1,5 @@
+2008-07-05  Eric Belanger  <eric at archlinux.org>
+
+	* wxpython 2.8.8.0-1
+	* Upstream update
+	* Added ChangeLog

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-07-06 23:59:16 UTC (rev 4441)
+++ extra-i686/PKGBUILD	2008-07-07 00:02:11 UTC (rev 4442)
@@ -3,22 +3,22 @@
 # Contributor: Andrew Wright <andreww at photism.org>
 
 pkgname=wxpython
-pkgver=2.8.7.1
+pkgver=2.8.8.0
 pkgrel=1
 pkgdesc="A wxWidgets GUI toolkit for Python."
 arch=('i686' 'x86_64')
 license=('custom:wxWindows')
 url="http://www.wxpython.org"
-depends=('wxgtk>=2.8.7' 'python>=2.5')
+depends=('wxgtk>=2.8.8' 'python>=2.5')
 source=(http://downloads.sourceforge.net/sourceforge/wxpython/wxPython-src-${pkgver}.tar.bz2)
-md5sums=('04fc1079430b18e6fd097b3287e9ae10')
-sha1sums=('5526ee4c4cc57bcebb4950ea05e24639ef8b02dd')
+md5sums=('87b974dda37e7ae4ac25a0d0c94ec8a5')
+sha1sums=('5b9282e99c0369e6c0b9ea980101cce4cfc33446')
 
 build() {
-  cd ${startdir}/src/wxPython-src-${pkgver}/wxPython
+  cd ${srcdir}/wxPython-src-${pkgver}/wxPython
   python setup.py \
     WXPORT=gtk2 \
     UNICODE=1 \
-    build install --root=${startdir}/pkg
-  install -D -m644 ../docs/licence.txt $startdir/pkg/usr/share/licenses/$pkgname/LICENSE
+    build install --root=${pkgdir} || return 1
+  install -D -m644 ../docs/licence.txt ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE || return 1
 }





More information about the arch-commits mailing list